Package org.eclipse.emf.cdo.server

# Interface IStoreAccessor.DurableLocking

All Superinterfaces:
  `IDurableLockingManager`

All Known Subinterfaces:
  `ILissomeStoreAccessor`, `IStoreAccessor.DurableLocking2`

Enclosing interface:
  `IStoreAccessor`

public static interface IStoreAccessor.DurableLocking extends IDurableLockingManager
An extension interface for `store accessors` that support durable locking.

Since:
  4.0
Author:
  Eike Stepper
See Also:
  - `IStoreAccessor.DurableLocking2`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

`IDurableLockingManager.LockArea, IDurableLockingManager.LockAreaAlreadyExistsException, IDurableLockingManager.LockAreaNotFoundException, IDurableLockingManager.LockGrade`

## Method Summary

Modifier and Type
Method
Description
`void`
`lock(String durableLockingID, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, Collection<? extends Object> objectsToLock)`
`void`
`unlock(String durableLockingID)`
Deprecated.
As of 4.15 use `unlock(durableLockingID, null, null)`.
`void`
`unlock(String durableLockingID, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, Collection<? extends Object> objectsToUnlock)`

### Methods inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

`createLockArea, deleteLockArea, getLockArea, getLockAreas`

## Method Details

### lock

void lock(String durableLockingID, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, Collection<? extends Object> objectsToLock)

### unlock

void unlock(String durableLockingID, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, Collection<? extends Object> objectsToUnlock)

### unlock

@Deprecated void unlock(String durableLockingID)
Deprecated.
As of 4.15 use `unlock(durableLockingID, null, null)`.